Cannot upgrade package Telerik.UI.for.AspNet.Core 2022.2.xxx => FileNotFoundException System.Runtime.Loader

1 Answer 38 Views
General Discussions
Victor
Top achievements
Rank 1
Victor asked on 03 Aug 2022, 02:15 PM

We cannot upgrade the package Telerik.UI.for.AspNet.Core to the versions after 2022.1.412. The project cannot start after the upgrade.

We use .Net Core 2.1 over .Net Framework 4.8 and it's easy to reproduce, juste create a new project (core 2.1 over .net framwork) and add the nuget Telerik.UI.for.AspNet.Core 2022.2.xxx.


Thanks

Victor

 

1 Answer, 1 is accepted

Sort by
0
Accepted
Aleksandar
Telerik team
answered on 08 Aug 2022, 07:11 AM

Hi Victor,

As of Telerik UI for ASP.NET Core R2 2022 targeting .NET Framework for ASP.NET Core projects in no longer supported, as noted in the Breaking Changes section. As of UI for ASP.NET Core R2 2022 (version 2022.2.510) we target only netstandard2.0. Refer to this forum post where this has also been discussed.

Regards,
Aleksandar
Progress Telerik

Love the Telerik and Kendo UI products and believe more people should try them? Invite a fellow developer to become a Progress customer and each of you can get a $50 Amazon gift voucher.

Tags
General Discussions
Asked by
Victor
Top achievements
Rank 1
Answers by
Aleksandar
Telerik team
Share this question
or